import { RequestCondition } from '@http-ext/core';
import { HandlerOptions, RetryHandler } from './retry-handler';
export interface RetryPluginOptions extends HandlerOptions {
    condition: RequestCondition;
}
/**
 * @param condition
 * @param initialInterval defaults to 200ms
 * @param maxInterval defaults to 1min
 * @param maxRetries defaults to 10
 * @param shouldRetry defaults to server error: 5xx
 */
export declare function createRetryPlugin({ condition, initialInterval, maxInterval, // 1 min
maxRetries, shouldRetry }?: Partial<RetryPluginOptions>): {
    condition: RequestCondition;
    handler: RetryHandler;
};
