import { HttpExtResponse, PluginHandler, PluginHandlerArgs } from '@http-ext/core';
import { Observable } from 'rxjs';
import { RetryPredicate } from './predicates/retry-predicate';
export interface HandlerOptions {
    /**
     * Initial retry interval in milliseconds.
     */
    initialInterval: number;
    /**
     * Last retry interval in milliseconds.
     */
    maxInterval: number;
    maxRetries: number;
    shouldRetry: RetryPredicate;
}
export declare class RetryHandler implements PluginHandler {
    private _initialInterval;
    private _maxInterval;
    private _maxRetries;
    private _shouldRetry;
    constructor({ initialInterval, maxInterval, maxRetries, shouldRetry }: HandlerOptions);
    handle({ request, next }: PluginHandlerArgs): Observable<HttpExtResponse>;
}
